﻿namespace WingPaymentService.Common.WeChat
{
    public class WxPayConfig
    {
        private static volatile IWxPayIConfig _config;
        private static object _syncRoot = new object();

        public static IWxPayIConfig GetConfig()
        {
            if (_config == null)
            {
                lock (_syncRoot)
                {
                    if (_config == null)
                        _config = new WxPayConfigData();
                }
            }
            return _config;
        }
    }
}
